Skip to main content
`Ctrl`+`K`

# TSVISetVariableBounds

Sets the lower and upper bounds for the solution vector. xl <= x <= xu

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSVISetVariableBounds(TS ts, Vec xl, Vec xu)

## Input Parameters

- ts - the `TS` context.

- xl - lower bound.

- xu - upper bound.

## Note

If this routine is not called then the lower and upper bounds are set to `PETSC_NINFINITY` and `PETSC_INFINITY` respectively during `SNESSetUp()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex21.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages